Netskope LogoNetskope Logo
  • Security Services
  • AI Services
  • Networking Services
  • Analytics Services
  • Integrations
  • getting-started.svgGetting Started
    • Support
    • Community
    • Netskope.com
    © 2026 All Rights Reserved. Netskope Inc.
    Home
    REST API
    Netskope Platform API Endpoints for REST API v1
    Acknowledge Compromised Credentials

    Acknowledge Compromised Credentials

    This endpoint should be used to acknowledge a user whose credentials had been compromised, and subsequently changed their passwords. When a request is made for users with compromised credentials, this user will not be returned, preventing a multi-factor authentication being invoked again for this user.

    Request Endpoint

    https://<tenant-URL>/api/v1/ackcompromisedcred

    Valid query parameters are:

    KeyValueDescription
    tokenstringRequired. The token obtained from the REST API page in the Netskope UI ( Settings > Tools > Rest API v1) is required. We recommend that you place the token in the body of the request, not in the endpoint URL.
    usersList of email addressesList of users to be acknowledged. Either a comma separated list like users=user1,user2,…, or an array like users=user1&users=user2&… can be used.

    Example Request

    POST https://<tenant-URL>/api/v1/ackanomalies
    {    
        "token": "f32a973eddd7bc1602fc0f48dc0a"
        "users": "user1@company.com,user2@company.com"
    }
    In this Topic
    • Acknowledge Compromised Credentials